#[doc = "Register `CFG14` reader"]
pub struct R(crate::R<CFG14_SPEC>);
impl core::ops::Deref for R {
    type Target = crate::R<CFG14_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::convert::From<crate::R<CFG14_SPEC>> for R {
    fn from(reader: crate::R<CFG14_SPEC>) -> Self {
        R(reader)
    }
}
#[doc = "Register `CFG14` writer"]
pub struct W(crate::W<CFG14_SPEC>);
impl core::ops::Deref for W {
    type Target = crate::W<CFG14_SPEC>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
impl core::ops::DerefMut for W {
    #[inline(always)]
    fn deref_mut(&mut self) -> &mut Self::Target {
        &mut self.0
    }
}
impl core::convert::From<crate::W<CFG14_SPEC>> for W {
    fn from(writer: crate::W<CFG14_SPEC>) -> Self {
        W(writer)
    }
}
#[doc = "Datapath condition chaining enable\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum CHAIN0_A {
    #[doc = "0: No description available"]
    DISABLE = 0,
    #[doc = "1: No description available"]
    ENABLE = 1,
}
impl From<CHAIN0_A> for bool {
    #[inline(always)]
    fn from(variant: CHAIN0_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `CHAIN0` reader - Datapath condition chaining enable"]
pub struct CHAIN0_R(crate::FieldReader<bool, CHAIN0_A>);
impl CHAIN0_R {
    pub(crate) fn new(bits: bool) -> Self {
        CHAIN0_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> CHAIN0_A {
        match self.bits {
            false => CHAIN0_A::DISABLE,
            true => CHAIN0_A::ENABLE,
        }
    }
    #[doc = "Checks if the value of the field is `DISABLE`"]
    #[inline(always)]
    pub fn is_disable(&self) -> bool {
        **self == CHAIN0_A::DISABLE
    }
    #[doc = "Checks if the value of the field is `ENABLE`"]
    #[inline(always)]
    pub fn is_enable(&self) -> bool {
        **self == CHAIN0_A::ENABLE
    }
}
impl core::ops::Deref for CHAIN0_R {
    type Target = crate::FieldReader<bool, CHAIN0_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `CHAIN0` writer - Datapath condition chaining enable"]
pub struct CHAIN0_W<'a> {
    w: &'a mut W,
}
impl<'a> CHAIN0_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: CHAIN0_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn disable(self) -> &'a mut W {
        self.variant(CHAIN0_A::DISABLE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn enable(self) -> &'a mut W {
        self.variant(CHAIN0_A::ENABLE)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !0x01) | (value as u8 & 0x01);
        self.w
    }
}
#[doc = "Datapath condition chaining enable\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum CHAIN1_A {
    #[doc = "0: No description available"]
    DISABLE = 0,
    #[doc = "1: No description available"]
    ENABLE = 1,
}
impl From<CHAIN1_A> for bool {
    #[inline(always)]
    fn from(variant: CHAIN1_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `CHAIN1` reader - Datapath condition chaining enable"]
pub struct CHAIN1_R(crate::FieldReader<bool, CHAIN1_A>);
impl CHAIN1_R {
    pub(crate) fn new(bits: bool) -> Self {
        CHAIN1_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> CHAIN1_A {
        match self.bits {
            false => CHAIN1_A::DISABLE,
            true => CHAIN1_A::ENABLE,
        }
    }
    #[doc = "Checks if the value of the field is `DISABLE`"]
    #[inline(always)]
    pub fn is_disable(&self) -> bool {
        **self == CHAIN1_A::DISABLE
    }
    #[doc = "Checks if the value of the field is `ENABLE`"]
    #[inline(always)]
    pub fn is_enable(&self) -> bool {
        **self == CHAIN1_A::ENABLE
    }
}
impl core::ops::Deref for CHAIN1_R {
    type Target = crate::FieldReader<bool, CHAIN1_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `CHAIN1` writer - Datapath condition chaining enable"]
pub struct CHAIN1_W<'a> {
    w: &'a mut W,
}
impl<'a> CHAIN1_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: CHAIN1_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn disable(self) -> &'a mut W {
        self.variant(CHAIN1_A::DISABLE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn enable(self) -> &'a mut W {
        self.variant(CHAIN1_A::ENABLE)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 1)) | ((value as u8 & 0x01) << 1);
        self.w
    }
}
#[doc = "Datapath CRC feedback chaining enable\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum CHAIN_FB_A {
    #[doc = "0: No description available"]
    DISABLE = 0,
    #[doc = "1: No description available"]
    ENABLE = 1,
}
impl From<CHAIN_FB_A> for bool {
    #[inline(always)]
    fn from(variant: CHAIN_FB_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `CHAIN_FB` reader - Datapath CRC feedback chaining enable"]
pub struct CHAIN_FB_R(crate::FieldReader<bool, CHAIN_FB_A>);
impl CHAIN_FB_R {
    pub(crate) fn new(bits: bool) -> Self {
        CHAIN_FB_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> CHAIN_FB_A {
        match self.bits {
            false => CHAIN_FB_A::DISABLE,
            true => CHAIN_FB_A::ENABLE,
        }
    }
    #[doc = "Checks if the value of the field is `DISABLE`"]
    #[inline(always)]
    pub fn is_disable(&self) -> bool {
        **self == CHAIN_FB_A::DISABLE
    }
    #[doc = "Checks if the value of the field is `ENABLE`"]
    #[inline(always)]
    pub fn is_enable(&self) -> bool {
        **self == CHAIN_FB_A::ENABLE
    }
}
impl core::ops::Deref for CHAIN_FB_R {
    type Target = crate::FieldReader<bool, CHAIN_FB_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `CHAIN_FB` writer - Datapath CRC feedback chaining enable"]
pub struct CHAIN_FB_W<'a> {
    w: &'a mut W,
}
impl<'a> CHAIN_FB_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: CHAIN_FB_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn disable(self) -> &'a mut W {
        self.variant(CHAIN_FB_A::DISABLE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn enable(self) -> &'a mut W {
        self.variant(CHAIN_FB_A::ENABLE)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 2)) | ((value as u8 & 0x01) << 2);
        self.w
    }
}
#[doc = "Datapath CRC MSB chaining enable\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum CHAIN_CMSB_A {
    #[doc = "0: No description available"]
    DISABLE = 0,
    #[doc = "1: No description available"]
    ENABLE = 1,
}
impl From<CHAIN_CMSB_A> for bool {
    #[inline(always)]
    fn from(variant: CHAIN_CMSB_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `CHAIN_CMSB` reader - Datapath CRC MSB chaining enable"]
pub struct CHAIN_CMSB_R(crate::FieldReader<bool, CHAIN_CMSB_A>);
impl CHAIN_CMSB_R {
    pub(crate) fn new(bits: bool) -> Self {
        CHAIN_CMSB_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> CHAIN_CMSB_A {
        match self.bits {
            false => CHAIN_CMSB_A::DISABLE,
            true => CHAIN_CMSB_A::ENABLE,
        }
    }
    #[doc = "Checks if the value of the field is `DISABLE`"]
    #[inline(always)]
    pub fn is_disable(&self) -> bool {
        **self == CHAIN_CMSB_A::DISABLE
    }
    #[doc = "Checks if the value of the field is `ENABLE`"]
    #[inline(always)]
    pub fn is_enable(&self) -> bool {
        **self == CHAIN_CMSB_A::ENABLE
    }
}
impl core::ops::Deref for CHAIN_CMSB_R {
    type Target = crate::FieldReader<bool, CHAIN_CMSB_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `CHAIN_CMSB` writer - Datapath CRC MSB chaining enable"]
pub struct CHAIN_CMSB_W<'a> {
    w: &'a mut W,
}
impl<'a> CHAIN_CMSB_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: CHAIN_CMSB_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn disable(self) -> &'a mut W {
        self.variant(CHAIN_CMSB_A::DISABLE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn enable(self) -> &'a mut W {
        self.variant(CHAIN_CMSB_A::ENABLE)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 3)) | ((value as u8 & 0x01) << 3);
        self.w
    }
}
#[doc = "Datapath MSB Selection\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
#[repr(u8)]
pub enum MSB_SEL_A {
    #[doc = "0: No description available"]
    BIT0 = 0,
    #[doc = "1: No description available"]
    BIT1 = 1,
    #[doc = "2: No description available"]
    BIT2 = 2,
    #[doc = "3: No description available"]
    BIT3 = 3,
    #[doc = "4: No description available"]
    BIT4 = 4,
    #[doc = "5: No description available"]
    BIT5 = 5,
    #[doc = "6: No description available"]
    BIT6 = 6,
    #[doc = "7: No description available"]
    BIT7 = 7,
}
impl From<MSB_SEL_A> for u8 {
    #[inline(always)]
    fn from(variant: MSB_SEL_A) -> Self {
        variant as _
    }
}
#[doc = "Field `MSB_SEL` reader - Datapath MSB Selection"]
pub struct MSB_SEL_R(crate::FieldReader<u8, MSB_SEL_A>);
impl MSB_SEL_R {
    pub(crate) fn new(bits: u8) -> Self {
        MSB_SEL_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> MSB_SEL_A {
        match self.bits {
            0 => MSB_SEL_A::BIT0,
            1 => MSB_SEL_A::BIT1,
            2 => MSB_SEL_A::BIT2,
            3 => MSB_SEL_A::BIT3,
            4 => MSB_SEL_A::BIT4,
            5 => MSB_SEL_A::BIT5,
            6 => MSB_SEL_A::BIT6,
            7 => MSB_SEL_A::BIT7,
            _ => unreachable!(),
        }
    }
    #[doc = "Checks if the value of the field is `BIT0`"]
    #[inline(always)]
    pub fn is_bit0(&self) -> bool {
        **self == MSB_SEL_A::BIT0
    }
    #[doc = "Checks if the value of the field is `BIT1`"]
    #[inline(always)]
    pub fn is_bit1(&self) -> bool {
        **self == MSB_SEL_A::BIT1
    }
    #[doc = "Checks if the value of the field is `BIT2`"]
    #[inline(always)]
    pub fn is_bit2(&self) -> bool {
        **self == MSB_SEL_A::BIT2
    }
    #[doc = "Checks if the value of the field is `BIT3`"]
    #[inline(always)]
    pub fn is_bit3(&self) -> bool {
        **self == MSB_SEL_A::BIT3
    }
    #[doc = "Checks if the value of the field is `BIT4`"]
    #[inline(always)]
    pub fn is_bit4(&self) -> bool {
        **self == MSB_SEL_A::BIT4
    }
    #[doc = "Checks if the value of the field is `BIT5`"]
    #[inline(always)]
    pub fn is_bit5(&self) -> bool {
        **self == MSB_SEL_A::BIT5
    }
    #[doc = "Checks if the value of the field is `BIT6`"]
    #[inline(always)]
    pub fn is_bit6(&self) -> bool {
        **self == MSB_SEL_A::BIT6
    }
    #[doc = "Checks if the value of the field is `BIT7`"]
    #[inline(always)]
    pub fn is_bit7(&self) -> bool {
        **self == MSB_SEL_A::BIT7
    }
}
impl core::ops::Deref for MSB_SEL_R {
    type Target = crate::FieldReader<u8, MSB_SEL_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `MSB_SEL` writer - Datapath MSB Selection"]
pub struct MSB_SEL_W<'a> {
    w: &'a mut W,
}
impl<'a> MSB_SEL_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: MSB_SEL_A) -> &'a mut W {
        self.bits(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn bit0(self) -> &'a mut W {
        self.variant(MSB_SEL_A::BIT0)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn bit1(self) -> &'a mut W {
        self.variant(MSB_SEL_A::BIT1)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn bit2(self) -> &'a mut W {
        self.variant(MSB_SEL_A::BIT2)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn bit3(self) -> &'a mut W {
        self.variant(MSB_SEL_A::BIT3)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn bit4(self) -> &'a mut W {
        self.variant(MSB_SEL_A::BIT4)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn bit5(self) -> &'a mut W {
        self.variant(MSB_SEL_A::BIT5)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn bit6(self) -> &'a mut W {
        self.variant(MSB_SEL_A::BIT6)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn bit7(self) -> &'a mut W {
        self.variant(MSB_SEL_A::BIT7)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bits(self, value: u8) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x07 << 4)) | ((value as u8 & 0x07) << 4);
        self.w
    }
}
#[doc = "Datapath MSB selection enable\n\nValue on reset: 0"]
#[derive(Clone, Copy, Debug, PartialEq)]
pub enum MSB_EN_A {
    #[doc = "0: No description available"]
    DISABLE = 0,
    #[doc = "1: No description available"]
    ENABLE = 1,
}
impl From<MSB_EN_A> for bool {
    #[inline(always)]
    fn from(variant: MSB_EN_A) -> Self {
        variant as u8 != 0
    }
}
#[doc = "Field `MSB_EN` reader - Datapath MSB selection enable"]
pub struct MSB_EN_R(crate::FieldReader<bool, MSB_EN_A>);
impl MSB_EN_R {
    pub(crate) fn new(bits: bool) -> Self {
        MSB_EN_R(crate::FieldReader::new(bits))
    }
    #[doc = r"Get enumerated values variant"]
    #[inline(always)]
    pub fn variant(&self) -> MSB_EN_A {
        match self.bits {
            false => MSB_EN_A::DISABLE,
            true => MSB_EN_A::ENABLE,
        }
    }
    #[doc = "Checks if the value of the field is `DISABLE`"]
    #[inline(always)]
    pub fn is_disable(&self) -> bool {
        **self == MSB_EN_A::DISABLE
    }
    #[doc = "Checks if the value of the field is `ENABLE`"]
    #[inline(always)]
    pub fn is_enable(&self) -> bool {
        **self == MSB_EN_A::ENABLE
    }
}
impl core::ops::Deref for MSB_EN_R {
    type Target = crate::FieldReader<bool, MSB_EN_A>;
    #[inline(always)]
    fn deref(&self) -> &Self::Target {
        &self.0
    }
}
#[doc = "Field `MSB_EN` writer - Datapath MSB selection enable"]
pub struct MSB_EN_W<'a> {
    w: &'a mut W,
}
impl<'a> MSB_EN_W<'a> {
    #[doc = r"Writes `variant` to the field"]
    #[inline(always)]
    pub fn variant(self, variant: MSB_EN_A) -> &'a mut W {
        self.bit(variant.into())
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn disable(self) -> &'a mut W {
        self.variant(MSB_EN_A::DISABLE)
    }
    #[doc = "No description available"]
    #[inline(always)]
    pub fn enable(self) -> &'a mut W {
        self.variant(MSB_EN_A::ENABLE)
    }
    #[doc = r"Sets the field bit"]
    #[inline(always)]
    pub fn set_bit(self) -> &'a mut W {
        self.bit(true)
    }
    #[doc = r"Clears the field bit"]
    #[inline(always)]
    pub fn clear_bit(self) -> &'a mut W {
        self.bit(false)
    }
    #[doc = r"Writes raw bits to the field"]
    #[inline(always)]
    pub fn bit(self, value: bool) -> &'a mut W {
        self.w.bits = (self.w.bits & !(0x01 << 7)) | ((value as u8 & 0x01) << 7);
        self.w
    }
}
impl R {
    #[doc = "Bit 0 - Datapath condition chaining enable"]
    #[inline(always)]
    pub fn chain0(&self) -> CHAIN0_R {
        CHAIN0_R::new((self.bits & 0x01) != 0)
    }
    #[doc = "Bit 1 - Datapath condition chaining enable"]
    #[inline(always)]
    pub fn chain1(&self) -> CHAIN1_R {
        CHAIN1_R::new(((self.bits >> 1) & 0x01) != 0)
    }
    #[doc = "Bit 2 - Datapath CRC feedback chaining enable"]
    #[inline(always)]
    pub fn chain_fb(&self) -> CHAIN_FB_R {
        CHAIN_FB_R::new(((self.bits >> 2) & 0x01) != 0)
    }
    #[doc = "Bit 3 - Datapath CRC MSB chaining enable"]
    #[inline(always)]
    pub fn chain_cmsb(&self) -> CHAIN_CMSB_R {
        CHAIN_CMSB_R::new(((self.bits >> 3) & 0x01) != 0)
    }
    #[doc = "Bits 4:6 - Datapath MSB Selection"]
    #[inline(always)]
    pub fn msb_sel(&self) -> MSB_SEL_R {
        MSB_SEL_R::new(((self.bits >> 4) & 0x07) as u8)
    }
    #[doc = "Bit 7 - Datapath MSB selection enable"]
    #[inline(always)]
    pub fn msb_en(&self) -> MSB_EN_R {
        MSB_EN_R::new(((self.bits >> 7) & 0x01) != 0)
    }
}
impl W {
    #[doc = "Bit 0 - Datapath condition chaining enable"]
    #[inline(always)]
    pub fn chain0(&mut self) -> CHAIN0_W {
        CHAIN0_W { w: self }
    }
    #[doc = "Bit 1 - Datapath condition chaining enable"]
    #[inline(always)]
    pub fn chain1(&mut self) -> CHAIN1_W {
        CHAIN1_W { w: self }
    }
    #[doc = "Bit 2 - Datapath CRC feedback chaining enable"]
    #[inline(always)]
    pub fn chain_fb(&mut self) -> CHAIN_FB_W {
        CHAIN_FB_W { w: self }
    }
    #[doc = "Bit 3 - Datapath CRC MSB chaining enable"]
    #[inline(always)]
    pub fn chain_cmsb(&mut self) -> CHAIN_CMSB_W {
        CHAIN_CMSB_W { w: self }
    }
    #[doc = "Bits 4:6 - Datapath MSB Selection"]
    #[inline(always)]
    pub fn msb_sel(&mut self) -> MSB_SEL_W {
        MSB_SEL_W { w: self }
    }
    #[doc = "Bit 7 - Datapath MSB selection enable"]
    #[inline(always)]
    pub fn msb_en(&mut self) -> MSB_EN_W {
        MSB_EN_W { w: self }
    }
    #[doc = "Writes raw bits to the register."]
    pub unsafe fn bits(&mut self, bits: u8) -> &mut Self {
        self.0.bits(bits);
        self
    }
}
#[doc = "Datapath chaining and MSB configuration\n\nThis register you can [`read`](crate::generic::Reg::read), [`write_with_zero`](crate::generic::Reg::write_with_zero), [`reset`](crate::generic::Reg::reset), [`write`](crate::generic::Reg::write), [`modify`](crate::generic::Reg::modify). See [API](https://docs.rs/svd2rust/#read--modify--write-api).\n\nFor information about available fields see [cfg14](index.html) module"]
pub struct CFG14_SPEC;
impl crate::RegisterSpec for CFG14_SPEC {
    type Ux = u8;
}
#[doc = "`read()` method returns [cfg14::R](R) reader structure"]
impl crate::Readable for CFG14_SPEC {
    type Reader = R;
}
#[doc = "`write(|w| ..)` method takes [cfg14::W](W) writer structure"]
impl crate::Writable for CFG14_SPEC {
    type Writer = W;
}
#[doc = "`reset()` method sets CFG14 to value 0"]
impl crate::Resettable for CFG14_SPEC {
    #[inline(always)]
    fn reset_value() -> Self::Ux {
        0
    }
}
